#line 1 "D:/Dizzy/Projects/Breeze/Code/18F25J50/mikroC/SD/SD.c"
#line 16 "D:/Dizzy/Projects/Breeze/Code/18F25J50/mikroC/SD/SD.c"
sbit MMC_Chip_Select at LATB7_bit;
sbit MMC_Chip_Select_Direction at TRISB7_bit;
sbit MMC_CD at RB1_bit;
sbit MMC_CD_Dir at TRISB1_bit;


sbit LED at LATC2_bit;

char init_result;

void Blink(char times) {
 char ctr;
 for (ctr=1;ctr<=times;ctr++) {
 LED = 1;
 delay_ms(500);
 LED = 0;
 delay_ms(500);
 }
}

void main() {
 OSCCON = 0b01110000;
 PLLEn_bit = 1;
 TRISC2_bit = 0;
 LED = 0;
 PCFG10_bit = 1;
 RBPU_bit = 0;
 MMC_CD_dir = 1;


 if (MMC_CD == 0) {

 SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);

 init_result = MMC_FAT_Init();
 if (init_result == 0) {

 SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV4, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);

 if (MMC_Fat_Assign("test.txt", 0x80) == 1) {

 MMC_Fat_Append();

 Mmc_Fat_Write("www.dizzy.co.za" "\x0D" "\x0A", 17);

 MMC_Fat_Close;

 LED = 1;
 } else {
 Blink(4);
 }
 } else {
 if (init_result == 255) {
 Blink(2);
 } else {
 Blink(3);
 }
 }
 } else {
 Blink(1);
 }
}
